## ktextaddons 1.4.1

=== textedittexttospeech/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextedittexttospeech\")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF${KF_MAJOR_VERSION}TextEditTextToSpeech")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTEDITTEXTTOSPEECH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEditTextToSpeechConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF${KF_MAJOR_VERSION}TextEditTextToSpeech)
add_library(KF${KF_MAJOR_VERSION}::TextEditTextToSpeech ALIAS KF${KF_MAJOR_VERSION}TextEditTextToSpeech)

if (TEXTEDIT_TEXT_TO_SPEECH)
    target_sources(KF${KF_MAJOR_VERSION}TextEditTextToSpeech PRIVATE
        texttospeech.cpp
        texttospeechwidget.cpp
        texttospeechconfigwidget.cpp
        texttospeechinterface.cpp
        abstracttexttospeechinterface.cpp
        abstracttexttospeechconfiginterface.cpp
        texttospeechconfiginterface.cpp
        texttospeechconfigdialog.cpp
        texttospeechlanguagecombobox.cpp
        texttospeechactions.cpp
        texttospeech.h
        texttospeechwidget.h
        texttospeechconfigwidget.h
        texttospeechinterface.h
        abstracttexttospeechinterface.h
        abstracttexttospeechconfiginterface.h
        texttospeechconfiginterface.h
        texttospeechconfigdialog.h
        texttospeechlanguagecombobox.h
        texttospeechactions.h
        texttospeechsliderwidget.h
        texttospeechsliderwidget.cpp
        texttospeechutil.h
        texttospeechutil.cpp
        texttospeechcontainerwidget.h
        texttospeechcontainerwidget.cpp
    )
endif()

if (TEXTEDIT_TEXT_TO_SPEECH)
    target_link_libraries(KF${KF_MAJOR_VERSION}TextEditTextToSpeech
        PRIVATE
        KF${KF_MAJOR_VERSION}::WidgetsAddons
        KF${KF_MAJOR_VERSION}::XmlGui
        KF${KF_MAJOR_VERSION}::I18n
        Qt::TextToSpeech
        )
endif()

ecm_qt_declare_logging_category(KF${KF_MAJOR_VERSION}TextEditTextToSpeech HEADER textedittexttospeech_debug.h
    IDENTIFIER TEXTEDITTEXTTOSPEECH_LOG CATEGORY_NAME org.kde.kf${KF_MAJOR_VERSION}.textedittexttospeech
        DESCRIPTION "KF${KF_MAJOR_VERSION} (textedit text to speech)" EXPORT KTEXTADDONS)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF${KF_MAJOR_VERSION}TextEditTextToSpeech PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF${KF_MAJOR_VERSION}TextEditTextToSpeech BASE_NAME textedittexttospeech)

target_include_directories(KF${KF_MAJOR_VERSION}TextEditTextToSpeech INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech;>")


target_link_libraries(KF${KF_MAJOR_VERSION}TextEditTextToSpeech
    PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
    )

set_target_properties(KF${KF_MAJOR_VERSION}TextEditTextToSpeech PROPERTIES
    VERSION ${TEXTEDITTEXTTOSPEECH_VERSION}
    SOVERSION ${TEXTEDITTEXTTOSPEECH_SOVERSION}
    EXPORT_NAME TextEditTextToSpeech
    )

install(TARGETS KF${KF_MAJOR_VERSION}TextEditTextToSpeech EXPORT KF${KF_MAJOR_VERSION}TextEditTextToSpeechTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if (TEXTEDIT_TEXT_TO_SPEECH)
    if(BUILD_TESTING)
        add_subdirectory(autotests)
        add_subdirectory(tests)
    endif()
endif()

if (TEXTEDIT_TEXT_TO_SPEECH)
    ecm_generate_headers(TextEdit_CamelCasetexttospeechs_HEADERS
        HEADER_NAMES
        TextToSpeech
        TextToSpeechActions
        TextToSpeechInterface
        TextToSpeechWidget
        TextToSpeechConfigWidget
        TextToSpeechConfigDialog
        AbstractTextToSpeechInterface
        AbstractTextToSpeechConfigInterface
        TextToSpeechContainerWidget
        REQUIRED_HEADERS TextEdit_texttospeechs_HEADERS
        PREFIX TextEditTextToSpeech
    )
endif()

if (TEXTEDIT_TEXT_TO_SPEECH)
    install(FILES
        ${TextEdit_texttospeechs_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/textedittexttospeech
        COMPONENT Devel
        )
    install(FILES
        ${TextEdit_CamelCasetexttospeechs_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/TextEditTextToSpeech/
        COMPONENT Devel
        )
endif()
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF${KF_MAJOR_VERSION}TextEditTextToSpeech_QCH
        FILE KF${KF_MAJOR_VERSION}TextEditTextToSpeechQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF${KF_MAJOR_VERSION}TextEditTextToSpeechQchTargets.cmake\")")
endif()



install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech
    COMPONENT Devel
    )


ecm_generate_pri_file(BASE_NAME TextEditTextToSpeech LIB_NAME TextEditTextToSpeech DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR
    ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_QCH)
    ecm_add_qch(
        KF${KF_MAJOR_VERSION}TextEditTextToSpeech_QCH
        NAME TextEditTextToSpeech
        BASE_NAME KF${KF_MAJOR_VERSION}TextEditTextToSpeech
        VERSION ${TEXTEDITTEXTTOSPEECH_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${TextEdit_texttospeechs_HEADERS}
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            TEXTEDITTEXTTOSPEECH_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextEditTextToSpeechConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEditTextToSpeechConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEditTextToSpeechConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEditTextToSpeechConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF${KF_MAJOR_VERSION}TextEditTextToSpeechTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF${KF_MAJOR_VERSION}TextEditTextToSpeechTargets.cmake
    NAMESPACE KF${KF_MAJOR_VERSION}::
    )

=== textautocorrection/widgets/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org>

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOCORRECTIONWIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionwidgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsConfigVersion.cmake"
    SOVERSION 1
    )

install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsConfig.cmake"
	"${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsTargets.cmake NAMESPACE KF${KF_MAJOR_VERSION}::)

add_library(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets )
add_library(KF${KF_MAJOR_VERSION}::TextAutoCorrectionWidgets ALIAS KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets)
ki18n_wrap_ui(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets
    ui/autocorrectionwidget.ui
    )
ecm_qt_declare_logging_category(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets HEADER textautocorrectionautocorrectwidgets_debug.h
        IDENTIFIER TEXTAUTOCORRECTION_AUTOCORRECT_LOG CATEGORY_NAME org.kde.kf${KF_MAJOR_VERSION}.textautocorrection.autocorrectwidgets
	DESCRIPTION "KF${KF_MAJOR_VERSION} (AutoCorrection autocorrect text)"
	EXPORT KTEXTADDONS
    )

target_sources(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets PRIVATE
    autocorrectionwidget.cpp
    autocorrectionlistwidget.cpp
    autocorrectiontreewidget.cpp
    autocorrectionlanguage.cpp
    autocorrectionlistwidget.h
    autocorrectionlanguage.h
    autocorrectionwidget.h
    autocorrectiontreewidget.h
    autocorrectiontextedit.cpp
    autocorrectiontextedit.h
    autocorrectionlineedit.cpp
    autocorrectionlineedit.h
)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
	set_target_properties(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets BASE_NAME textautocorrectionwidgets)


target_link_libraries(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets
    PUBLIC
    KF${KF_MAJOR_VERSION}::TextAutoCorrectionCore
    PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::TextAddonsWidgets
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    )

target_include_directories(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/>")

set_target_properties(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets PROPERTIES
	VERSION ${TEXTAUTOCORRECTIONWIDGETS_VERSION}
	SOVERSION ${TEXTAUTOCORRECTIONWIDGETS_SOVERSION}
    EXPORT_NAME TextAutoCorrectionWidgets
    )

install(TARGETS
	KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets
	EXPORT KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

if (BUILD_TESTING)
	#add_subdirectory(autotests)
    add_subdirectory(tests)
endif()


ecm_generate_headers(TextAutoCorrection_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    AutoCorrectionWidget
    AutoCorrectionLanguage
    AutoCorrectionTextEdit
    REQUIRED_HEADERS TextAutoCorrection_autocorrectionwidgets_HEADERS
    PREFIX TextAutoCorrectionWidgets
    )

ecm_generate_pri_file(BASE_NAME TextAutoCorrectionWidgets
	LIB_NAME KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets
	DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets
    )


install(FILES
    ${TextAutoCorrection_Camelcaseautocorrectionwidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/TextAutoCorrectionWidgets
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionwidgets_export.h
    ${TextAutoCorrection_autocorrectionwidgets_HEADERS}

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/textautocorrectionwidgets
    COMPONENT Devel
    )

install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


if (BUILD_QCH)
    ecm_add_qch(
        KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets_QCH
        NAME KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets
        BASE_NAME KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets
        VERSION ${TEXTAUTOCORRECTIONWIDGETS_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${TextAutoCorrection_autocorrectionwidgets_HEADERS}
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            TEXTAUTOCORRECTIONCORE_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets_QCH
        FILE KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextAutoCorrectionWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgetsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionwidgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/ COMPONENT Devel
    )

=== textemoticons/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF${KF_MAJOR_VERSION}TextEmoticonsWidgets")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTEMOTICONSWIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textemoticonswidgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets)
add_library(KF${KF_MAJOR_VERSION}::TextEmoticonsWidgets ALIAS KF${KF_MAJOR_VERSION}TextEmoticonsWidgets)

target_sources(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets PRIVATE
    emoticontexteditselector.cpp
    emoticontexteditselector.h
    emoticoncategorybuttons.cpp
    emoticoncategorybuttons.h
    emoticonlistview.cpp
    emoticonlistview.h
    textemoticonswidgets_private_export.h
    emoticontexteditaction.h
    emoticontexteditaction.cpp
    emoticoncategorybutton.h
    emoticoncategorybutton.cpp
    emoticonitemdelegate.cpp
    emoticonitemdelegate.h
    )

target_link_libraries(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets
    PUBLIC
    KF${KF_MAJOR_VERSION}::TextEmoticonsCore
    KF${KF_MAJOR_VERSION}::XmlGui
    PRIVATE
    Qt::Widgets
)

ecm_qt_declare_logging_category(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets HEADER textemoticonswidgets_debug.h
    IDENTIFIER TEXTEMOTICONSWIDGETS_LOG CATEGORY_NAME org.kde.kf${KF_MAJOR_VERSION}.textemoticonswidgets
    DESCRIPTION "KF${KF_MAJOR_VERSION} (textaddons textemoticons widgets)" EXPORT KTEXTADDONS)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets BASE_NAME TextEmoticonsWidgets)

target_include_directories(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextEmoticonsWidgets;>")


target_link_libraries(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets
    PRIVATE
    KF${KF_MAJOR_VERSION}::I18n
)

set_target_properties(KF${KF_MAJOR_VERSION}TextEmoticonsWidgets PROPERTIES
    VERSION ${TEXTEMOTICONSWIDGETS_VERSION}
    SOVERSION ${TEXTEMOTICONSWIDGETS_SOVERSION}
    EXPORT_NAME TextEmoticonsWidgets
)

install(TARGETS KF${KF_MAJOR_VERSION}TextEmoticonsWidgets EXPORT KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_generate_headers(TextEmoticonsWidgets_CamelCase_HEADERS
    HEADER_NAMES
    EmoticonTextEditSelector
    EmoticonTextEditAction
    REQUIRED_HEADERS TextEmoticonsWidgets_HEADERS
    PREFIX TextEmoticonsWidgets
)

install(FILES
    ${TextEmoticonsWidgets_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/textemoticonswidgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEmoticonsWidgets/textemoticonswidgets
    COMPONENT Devel
)
install(FILES
    ${TextEmoticonsWidgets_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEmoticonsWidgets/TextEmoticonsWidgets/
    COMPONENT Devel
)



install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsTargets.cmake
    NAMESPACE KF${KF_MAJOR_VERSION}::
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/textemoticonswidgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEmoticonsWidgets
    COMPONENT Devel
)


ecm_generate_pri_file(BASE_NAME textemoticonswidgets LIB_NAME TextEmoticonsWidgets DEPS "KF${KF_MAJOR_VERSION}::TextEmoticonsCore KF${KF_MAJOR_VERSION}::XmlGui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR
    ${KDE_INSTALL_INCLUDEDIR_KF}/TextEmoticonsWidgets/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_QCH)
    ecm_add_qch(
        KF${KF_MAJOR_VERSION}TextEmoticonsWidgets_QCH
        NAME KF${KF_MAJOR_VERSION}TextEmoticonsWidgets
        BASE_NAME KF${KF_MAJOR_VERSION}TextEmoticonsWidgets
        VERSION ${TEXTEMOTICONSWIDGETS_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${TextEmoticonsWidgets_HEADERS}
        LINK_QCHS
        Qt${QT_MAJOR_VERSION}Core_QCH
        Qt${QT_MAJOR_VERSION}Gui_QCH
        Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
        ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
        TEXTEMOTICONSWIDGETS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF${KF_MAJOR_VERSION}TextEmoticonsWidgets_QCH
        FILE KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextEmoticonsWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF${KF_MAJOR_VERSION}TextEmoticonsWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

=== texttranslator/translator/plugins/lingva/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: none
include_directories(${CMAKE_CURRENT_BINARY_DIR}/)
add_library(translator_lingva MODULE)

ecm_qt_declare_logging_category(translator_lingva_debug_SRCS
    HEADER lingvatranslator_debug.h
    IDENTIFIER TRANSLATOR_LINGVA_LOG
    CATEGORY_NAME org.kde.kf${KF_MAJOR_VERSION}.texttranslator.lingva
    DESCRIPTION "lingva translator"
    EXPORT KTEXTADDONS
)

target_sources(translator_lingva PRIVATE
    ${translator_lingva_debug_SRCS}
    lingvaengineclient.cpp
    lingvaengineclient.h
    lingvaengineplugin.cpp
    lingvaengineplugin.h
    lingvaenginedialog.h
    lingvaenginedialog.cpp
    lingvaenginewidget.h
    lingvaenginewidget.cpp
    lingvaengineutil.h
    lingvaengineutil.cpp
)

target_link_libraries(translator_lingva PRIVATE
    KF${KF_MAJOR_VERSION}::TextTranslator KF${KF_MAJOR_VERSION}::I18n KF${KF_MAJOR_VERSION}::ConfigCore
    KF${KF_MAJOR_VERSION}::TextAddonsWidgets
    KF${KF_MAJOR_VERSION}::WidgetsAddons
)

install(TARGETS translator_lingva  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/translator/)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
ktextaddons (1.4.1-0ubuntu2) mantic; urgency=medium

  * Update building:
    - Build depend on dh-sequence-kf5 and dh-sequence-pkgkde-symbolshelper
      instead of pkg-kde-tools
    - d/rules: Drop manually specifying build system addons.
  * Add upstream metadata.
  * Minor debian/copyright improvements.
  * Bump standards version to 4.6.2

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Sep 2023 14:50:08 +0100

ktextaddons (1.4.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (1.4.1)
  * Install qlogging-categories file.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Aug 2023 06:05:34 +0100

ktextaddons (1.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (1.4.0)
  * New shared library in this release:
    - Add libkf5textutils1 package.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Aug 2023 20:51:08 +0100

ktextaddons (1.3.2-0ubuntu2) mantic; urgency=medium

  * Add ${shlibs:Depends} to libkf5textaddons-dev, fixes lintian warning
    missing-dependency-on-libc
  * Make lib*.install files less strict
  * Remove unneeded dirs files:
    - debian/ktextaddons-dev.dirs
    - debian/ktextaddons1.dirs
  * Add lintian overrides for libkf5texttranslator1, it's symbols files
    declares a dependency on libkf5texttranslator-plugins, but that's
    intentional
  * Replace strings for licenses in debian/copyright:
    - LGPL-2.0-or-later -> LGPL-2+
    - GPL-2.0-or-later -> GPL-2+

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:21:12 +0100

ktextaddons (1.3.2-0ubuntu1) mantic; urgency=medium

  * Initial release for Ubuntu (LP: #2021510)
  * This package is needed by libkf5pimcommon >= 23.04.x

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 03 Jun 2023 07:01:21 +0100

=== debian/control ===
Source: ktextaddons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules,
               libkf5archive-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5xmlgui-dev,
               libqt5texttospeech5-dev,
               qtbase5-dev,
               qtkeychain-qt5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktextaddons
Rules-Requires-Root: no

Package: libkf5textaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5textaddonswidgets1 (= ${binary:Version}),
         libkf5textautocorrectioncore1 (= ${binary:Version}),
         libkf5textautocorrectionwidgets1 (= ${binary:Version}),
         libkf5textedittexttospeech1 (= ${binary:Version}),
         libkf5textemoticonscore1 (= ${binary:Version}),
         libkf5textemoticonswidgets1 (= ${binary:Version}),
         libkf5textgrammarcheck1 (= ${binary:Version}),
         libkf5texttranslator-plugins (= ${binary:Version}),
         libkf5texttranslator1 (= ${binary:Version}),
         libkf5textutils1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - development files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the development files needed to build software using
 KTextAddons.

Package: libkf5textaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE text handling addons - data files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the data files needed by KTextAddons.

Package: libkf5textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text addons widgets library.

Package: libkf5textautocorrectioncore1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - correction core library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection core library.

Package: libkf5textautocorrectionwidgets1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - correction widget library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection widget library.

Package: libkf5textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text edit text-to-speech library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text-to-speech library.

Package: libkf5textemoticonscore1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text emoticons library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text emoticons library.

Package: libkf5textemoticonswidgets1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text emoticons widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the emoticons widget library.

Package: libkf5textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text grammar check library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text grammar check library.

Package: libkf5texttranslator-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text translator plugins
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator plugins.

Package: libkf5texttranslator1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text translator library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator library.

Package: libkf5textutils1
Architecture: any
Multi-Arch: same
Depends: libkf5textaddons-data (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Description: KDE text handling addons - text utils library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text utils library.
